* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    color: #333;
}

header {
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    background-color: #f4dec8;
    padding: 10px 0;
    text-align: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

header img {
    width: 50px;
}

.filtros {
    margin-top: 20px;
    display: flex;
    width: 70%;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap: 10px;
}

.filtros input[type="text"],
.filtros select {
    width: 100%;
    padding: 10px;
    margin: 5px 5px;
    border-radius: 5px;
    font-size: 0.8rem;
    box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.1);
    border: 2px solid #f2f0f0;
    transition: border-color 0.8s ease-in-out;
    cursor: pointer;
    transition: transform 0.8s ease-in-out;
}


.filtros select {
    max-width: 200px;
}

.filtros input[type="text"]:hover,
.filtros select:hover {
    border-color: #c29c77;
    transform: scale(1.05);
    transition: border-color 0.8s ease-in-out, transform 0.8s ease-in-out;
}



.contenido {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
}

.categorias {
    display: flex;
    justify-content: center;
    align-items: center;
    justify-items: center;
    align-content: center;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}

.categoria {
    width: 20%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    justify-items: center;
    align-content: center;
}

.categoriatodos {
    width: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    justify-items: center;
    align-content: center;
    border-radius: 10px;
}

.categoriatodos h1 {
    font-size: 1rem;
    padding: 10px;
    font-weight: bold;
    font-family: Georgia, 'Times New Roman', Times, serif;
    text-align: center;
    cursor: pointer;
    transition: color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, transform 0.3s ease-in-out;
    border: solid #f2f0f0;
}

.categoriatodos h1:hover {
    color: #c29c77;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transform: scale(1.05);
}

.categoria-imagen {
    width: 100px;
    border-radius: 10px;
    border: solid #f2f0f0;
    box-shadow: hsl(0, 0%, 80%) 0px 5px 5px;
    cursor: pointer;
    transition: border 0.8s ease-in-out, transform 0.3s ease-in-out;
}

.categoria-imagen:hover {
    transform: scale(1.1);
    border: #c29c77 solid;
    transition: border 0.8s ease-in-out, transform 0.3s ease-in-out;
}

footer {
    background-color: #f4dec8;
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

footer img {
    width: 30px;
    margin: 10px;
    transition: transform 0.3s ease-in-out;
    cursor: pointer;
}

footer img:hover {
    transform: scale(1.1);
}

.favoritos {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color:#978f1d;
    font-weight: bold;
}

.btn2 {
    background-color: #cabf1f;
    color: white;
    padding: 5px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.7rem;
    margin-left: 5px;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
    margin-top: auto;
}

.btn2click {
    background-color: #f1b100;
    color: white;
    padding: 5px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.7rem;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
    margin-top: auto;
}

.btn2:hover {
    background-color: #f1b100;
    transform: scale(1.05);
}

.carta {
    width: 250px;
    height: 250px;
    background-color: white;
    border-radius: 10px;
    border: none;
    box-shadow: hsl(0, 0%, 80%) 0px 5px 5px;
    transition: transform 0.3s ease-in-out;
    cursor: pointer;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    text-align: center;
}


.carta:hover {
    transform: scale(1.05);
}

.carta img {
    width: 40%;
    height: auto;
    max-height: 100px;
    max-width: 60px;
    border-radius: 10px;
}

.carta h2 {
    font-size: 0.7rem;
    margin: 10px 0;
}

.carta p {
    font-size: 0.9rem;
    color: #666;
    margin: 5px 0;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.productos {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    width: 100%;
    padding: 20px;
    gap: 20px;
    margin-bottom: 100px;
}

.btn {
    background-color: #a7c6bd;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.8rem;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
    margin-top: auto;
}

.btn:hover {
    background-color: #779f94;
    transform: scale(1.05);
}

.loader {
    width: fit-content;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
}

.truckWrapper {
    width: 200px;
    height: 100px;
    display: flex;
    flex-direction: column;
    position: relative;
    align-items: center;
    justify-content: flex-end;
    overflow-x: hidden;
}

/* truck upper body */
.truckBody {
    width: 130px;
    height: fit-content;
    margin-bottom: 6px;
    animation: motion 1s linear infinite;
}

/* truck suspension animation*/
@keyframes motion {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(3px);
    }

    100% {
        transform: translateY(0px);
    }
}

/* truck's tires */
.truckTires {
    width: 130px;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 10px 0px 15px;
    position: absolute;
    bottom: 0;
}

.truckTires svg {
    width: 24px;
}

.road {
    width: 100%;
    height: 1.5px;
    background-color: #282828;
    position: relative;
    bottom: 0;
    align-self: flex-end;
    border-radius: 3px;
}

.road::before {
    content: "";
    position: absolute;
    width: 20px;
    height: 100%;
    background-color: #282828;
    right: -50%;
    border-radius: 3px;
    animation: roadAnimation 1.4s linear infinite;
    border-left: 10px solid white;
}

.road::after {
    content: "";
    position: absolute;
    width: 10px;
    height: 100%;
    background-color: #282828;
    right: -65%;
    border-radius: 3px;
    animation: roadAnimation 1.4s linear infinite;
    border-left: 4px solid white;
}

.lampPost {
    position: absolute;
    bottom: 0;
    right: -90%;
    height: 90px;
    animation: roadAnimation 1.4s linear infinite;
}

@keyframes roadAnimation {
    0% {
        transform: translateX(0px);
    }

    100% {
        transform: translateX(-350px);
    }
}


#loading {
    margin-top: 40px;
}

.loader {
    --ANIMATION-DELAY-MULTIPLIER: 70ms;
    padding: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.loader span {
    padding: 0;
    margin: 0;
    letter-spacing: -5rem;
    animation-delay: 0s;
    transform: translateY(4rem);
    animation: hideAndSeek 1s alternate infinite cubic-bezier(0.86, 0, 0.07, 1);
}

.loader .l {
    animation-delay: calc(var(--ANIMATION-DELAY-MULTIPLIER) * 0);
}

.loader .o {
    animation-delay: calc(var(--ANIMATION-DELAY-MULTIPLIER) * 1);
}

.loader .a {
    animation-delay: calc(var(--ANIMATION-DELAY-MULTIPLIER) * 2);
}

.loader .d {
    animation-delay: calc(var(--ANIMATION-DELAY-MULTIPLIER) * 3);
}

.loader .ispan {
    animation-delay: calc(var(--ANIMATION-DELAY-MULTIPLIER) * 4);
}

.loader .n {
    animation-delay: calc(var(--ANIMATION-DELAY-MULTIPLIER) * 5);
}

.loader .g {
    animation-delay: calc(var(--ANIMATION-DELAY-MULTIPLIER) * 6);
}

.letter {
    width: fit-content;
    height: 3rem;
}

.i {
    margin-inline: 5px;
}

@keyframes hideAndSeek {
    0% {
        transform: translateY(4rem);
    }

    100% {
        transform: translateY(0rem);
    }
}

.carro {
    background-color: #a3d8dd;
    border-radius: 10px;
    width: 50%;
    height: 60vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
    overflow: auto;
}

.compra {
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    justify-items: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    background-color: #f4f4f4;
    position: fixed;
}

.producto-carrito {
    margin-top: 20px;
    display: flex;
    gap: 10px;
    align-items: center;
    width: 100%;
}

.producto-favorito {
    margin-top: 20px;
    display: flex;
    gap: 10px;
    align-items: center;
    width: 30%;
    background-color: #666;
    color: white;
    border-radius: 10px;
    padding: 20px;
}

.producto-carrito h3 {
    font-size: 80%;
    margin-bottom: 10px;
    flex: 1;
}

.producto-carrito p {
    font-size: 80%;
    color: #666;
    margin-bottom: 10px;
    flex: 0.2;
}

.eliminar {
    background-color: #ff4d4d;
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 80%;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.eliminar:hover {
    background-color: #e60000;
    transform: scale(1.05);
}

.total {
    font-size: 1.2rem;
    font-weight: bold;
    margin-top: 20px;
    color: #333;
}

.pagar {
    background-color: #2a4345;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.8rem;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.pagar:hover {
    background-color: #4f7e84;
    transform: scale(1.05);
}


.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
}


.modal-contenido {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border-radius: 10px;
    width: 300px;
    text-align: center;
    position: relative;
}

.cerrar {
    color: #aaa;
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
}

.cerrar:hover {
    color: black;
}


.modal2 {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
}


.modal-contenido2 {
    display: flex;
    background-color: #fff;
    border-radius: 10px;
    width: 40%;
    margin: 15% auto;
    padding: 20px;
    flex-direction: column;
    text-align: center;
    position:static;
    justify-content: center;
}

.borrar-historial {
    background-color: #ff4d4d;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.8rem;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
    margin-top: 20px;
}

.borrar-historial:hover {
    background-color: #e60000;
    transform: scale(1.05);
}

.cerrar2 {
    color: #aaa;
    position: absolute;
    top: 10px;
    right: 15px;

    font-size: 24px;
    cursor: pointer;
}

.cerrar2:hover {
    color: black;
}

.compra {
    margin-bottom: 20px;
    border-bottom: 1px solid #ccc;
    padding: 20px;
    display: flex;
    position: relative;
}

.video-container {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

.video-container video {
    width: 800px;
    height: auto;
    border-radius: 20px;
    z-index: 0;
    position: relative;
}

.titulo2 {
    font-size: 1.5rem;
    margin-top: 20px;
    text-align: center;
    color: #ffffff;
    font-weight: bold;
    z-index: 1;
    position: absolute;
    bottom: 20px;
}

a {
    text-decoration: none;
    color: #ffffff;
    transition: color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, transform 0.3s ease-in-out;
    border: solid #f2f0f0;
    padding: 5px 10px;
    border-radius: 20px;
    box-shadow: 0 2px 5px rgba(255, 255, 255, 0.1);
}

a h1 {
    font-size: 1rem;
    margin: 0;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

a:hover {
    color: #c29c77;
    box-shadow: 0 2px 5px rgba(255, 255, 255, 0.2);
    transform: scale(1.05);
    transition: color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, transform 0.3s ease-in-out;
}

html {
    scroll-behavior: smooth;
}

#contador-carrito {
    background-color: #2a4345;
    color: white;
    border-radius: 100%;
    padding: 5px 10px;
    font-size: 0.8rem;
    font-weight: bold;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.categoria h1 {
    font-size: 100%;
    margin: 0;
    font-weight: bold;
    text-align: center;
    font-family: initial;
}

.contenedor-todos {
    width: 100px;
    border-radius: 10px;
    border: solid #f2f0f0;
    box-shadow: hsl(0, 0%, 80%) 0px 5px 5px;
    cursor: pointer;
    transition: border 0.8s ease-in-out, transform 0.3s ease-in-out;
    padding: 15px;
}

.contenedor-todos:hover {
    transform: scale(1.1);
    border: #c29c77 solid;
    transition: border 0.8s ease-in-out, transform 0.3s ease-in-out;
}

.cantidad-input {
    width: 50px;
    padding: 5px;
    border-radius: 5px;
    border: 2px solid #f2f0f0;
    box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.1);
    font-size: 0.8rem;
    transition: border-color 0.8s ease-in-out, transform 0.3s ease-in-out;
}

.cantidad-input:hover {
    border-color: #c29c77;
    transform: scale(1.05);
    transition: border-color 0.8s ease-in-out, transform 0.3s ease-in-out;
}

.logo-historial {
    width: 30px;
    margin: 10px;
    transition: transform 0.3s ease-in-out;
    cursor: pointer;
}

.logo-historial:hover {
    transform: scale(1.1);
}


@media (max-width: 767px) {
    .filtros {
        margin-top: 10px;
        flex-direction: column;
        width: 90%;
    }

    .modal-contenido2 {
        width: 90%;
        max-height: 80vh;
        overflow-y: auto;
        padding: 20px;
    }

    .categoriatodos h1 {
        font-size: 0.8rem;
        padding: 5px;
    }

    .categoria {
        width: 45%;
        margin: 10px 0;
    }

    .productos {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }

    .carta {
        width: 100%;
    }

    header img {
        width: 30px;
    }

    .categoria {
        width: 100%;
    }

    .categorias {
        width: 100%;

    }

    .categoria-imagen {
        width: 70px;
    }

    .video-container video {
        width: 100%;
    }

    a {
        display: none;
    }
}